<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.sl.usermodel.PlaceableShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.sl.usermodel.PlaceableShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
               title="interface in org.apache.poi.sl.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/usermodel/class-use/PlaceableShape.html"
               target="_top">Frames</a></li>
        <li><a href="PlaceableShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.sl.usermodel.PlaceableShape" class="title">Uses of Interface<br>org.apache.poi.sl.usermodel.PlaceableShape
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.model">org.apache.poi.hslf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.draw">org.apache.poi.sl.draw</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.usermodel">org.apache.poi.sl.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hslf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                   title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a> in <a
                            href="../../../../../../org/apache/poi/hslf/model/package-summary.html">org.apache.poi.hslf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hslf/model/package-summary.html">org.apache.poi.hslf.model</a> that implement <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/ActiveXShape.html"
                                    title="class in org.apache.poi.hslf.model">ActiveXShape</a></span></code>
                                <div class="block">Represents an ActiveX control in a PowerPoint document.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/MovieShape.html"
                                    title="class in org.apache.poi.hslf.model">MovieShape</a></span></code>
                                <div class="block">Represents a movie in a PowerPoint document.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/Polygon.html"
                                    title="class in org.apache.poi.hslf.model">Polygon</a></span></code>
                                <div class="block">A simple closed polygon shape</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                   title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a> in <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFAutoShape</a></span></code>
                                <div class="block">Represents an AutoShape.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFConnectorShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFConnectorShape</a></span></code>
                                <div class="block">Specifies a connection shape.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFFreeformShape</a></span></code>
                                <div class="block">A "Freeform" shape.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a></span></code>
                                <div class="block">Represents a group of shapes.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFLine.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFLine</a></span></code>
                                <div class="block">Represents a line in a PowerPoint drawing</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFObjectShape</a></span></code>
                                <div class="block">A shape representing embedded OLE object.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a></span></code>
                                <div class="block">Represents a picture in a PowerPoint document.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholder.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholder</a></span></code>
                                <div class="block">Represents a Placeholder in PowerPoint.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFSimpleShape</a></span></code>
                                <div class="block">An abstract simple (non-group) shape.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTable</a></span></code>
                                <div class="block">Represents a table in a PowerPoint presentation</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a></span></code>
                                <div class="block">Represents a cell in a ppt table</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextBox</a></span></code>
                                <div class="block">Represents a TextFrame shape in PowerPoint.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextShape</a></span></code>
                                <div class="block">A common superclass of all shapes that can hold text.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.draw">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                   title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a> in <a
                            href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a> declared as <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;?,?&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DrawPaint.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/DrawPaint.html#shape">shape</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static java.awt.geom.Rectangle2D</code></td>
                            <td class="colLast"><span class="typeNameLabel">DrawShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/DrawShape.html#getAnchor-java.awt.Graphics2D-org.apache.poi.sl.usermodel.PlaceableShape-">getAnchor</a></span>(java.awt.Graphics2D&nbsp;graphics,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                   title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a href="../../../../../../org/apache/poi/sl/draw/DrawPaint.html"
                                                          title="class in org.apache.poi.sl.draw">DrawPaint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DrawFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/DrawFactory.html#getPaint-org.apache.poi.sl.usermodel.PlaceableShape-">getPaint</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/DrawPaint.html#DrawPaint-org.apache.poi.sl.usermodel.PlaceableShape-">DrawPaint</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                   title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a> in <a
                            href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subinterfaces, and an explanation">
                        <caption><span>Subinterfaces of <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a> in <a
                                href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Interface and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">AutoShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">ConnectorShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">FreeformShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
                                    title="interface in org.apache.poi.sl.usermodel">GraphicalFrame</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">GroupShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Line.html"
                                    title="interface in org.apache.poi.sl.usermodel">Line</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>
                                <div class="block">Interface for Lines ...</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ObjectShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">ObjectShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>
                                <div class="block">An shape which references an embedded OLE object</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TableCell.html"
                                    title="interface in org.apache.poi.sl.usermodel">TableCell</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextBox</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>
                                <div class="block">Represents a TextFrame shape in PowerPoint.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;S extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                   title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a> in <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFAutoShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFAutoShape</a></span></code>
                                <div class="block">Represents a shape with a preset geometry.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFBackground.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFBackground</a></span></code>
                                <div class="block">Background shape</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFConnectorShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFConnectorShape</a></span></code>
                                <div class="block">Specifies a connection shape.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFFreeformShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFFreeformShape</a></span></code>
                                <div class="block">Represents a custom geometric shape.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFGraphicFrame</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFGroupShape</a></span></code>
                                <div class="block">Represents a group shape that consists of many shapes grouped
                                    together.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFObjectShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFObjectShape</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFPictureShape</a></span></code>
                                <div class="block">Represents a picture shape</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFSimpleShape</a></span></code>
                                <div class="block">Represents a single (non-group) shape in a .pptx slide show</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTable</a></span></code>
                                <div class="block">Represents a table in a .pptx presentation</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTableCell</a></span></code>
                                <div class="block">Represents a cell of a table in a .pptx presentation</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextBox.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTextBox</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTextShape</a></span></code>
                                <div class="block">Represents a shape that can hold text.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
               title="interface in org.apache.poi.sl.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/usermodel/class-use/PlaceableShape.html"
               target="_top">Frames</a></li>
        <li><a href="PlaceableShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
